Bug 167399 - "evince" renders certain fonts incorrectly
Summary: "evince" renders certain fonts incorrectly
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-02 11:31 UTC by Joachim Frieben
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 20:52:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample PDF file rendered by "evince" (8.81 KB, image/png)
2005-09-02 11:32 UTC, Joachim Frieben
no flags Details
Sample PDF file rendered by "xpdf" (8.48 KB, image/png)
2005-09-02 11:33 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2005-09-02 11:31:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.5

Description of problem:
Bold italic Times characters (math mode) are poorly rendered by
"evince" for a pdflatex-generated PDF file. The characters are
not slanted, and the font seems to have changed, too.

Version-Release number of selected component (if applicable):
evince-0.4.0-1.2

How reproducible:
Always

Steps to Reproduce:
1. Create a PDF document using the bold italic Times font in math mode.
2. Open the file with "evince".
  

Actual Results:  The rendering is flawed.

Expected Results:  Italic bold Times characters should look as expected.

Additional info:

Opening the PDF file by means of "xpdf", the rendering is correct.
This bug has been present since the initial release of "evince".

Comment 1 Joachim Frieben 2005-09-02 11:32:49 UTC
Created attachment 118388 [details]
Sample PDF file rendered by "evince"

Comment 2 Joachim Frieben 2005-09-02 11:33:30 UTC
Created attachment 118389 [details]
Sample PDF file rendered by "xpdf"

Comment 3 Joachim Frieben 2005-09-02 11:59:22 UTC
After converting the PDF file to PS by means od "pdftops", the resulting
PS file is rendered correctly by "evince".

Comment 4 Joachim Frieben 2005-09-12 13:23:22 UTC
The problem seems to be Red Hat specific as no other tested distribution
exhibits the reported anomaly.

Comment 5 Joachim Frieben 2005-09-15 08:23:45 UTC
Issue resolved for a current rawhide test system.

Comment 6 Joachim Frieben 2005-10-13 08:02:49 UTC
Well, I have to correct myself, or this is partially broken again. At
least for the current tree, the Times font is rendered correctly but
the characters are not bold ones.
As mentioned above, displaying the PDF file by some other flavour of
Linux distro using "evince", no similar regression is observed.

Comment 7 Joachim Frieben 2005-11-05 14:11:54 UTC
After installing Truetype support for teTeX 3.0, the newly create
PDF file displays correctly. The previous PDF file was created by
pdfTeX-1.10b (FC3 flavour of teTeX 2.0.2), the current one by
pdfeTeX-1.21a. The font list is longer for the current version than
the previous one. Possibly, a bug in the earlier pdfTeX release was
hence the culprit.

Comment 8 Kristian Høgsberg 2006-09-22 20:52:38 UTC
Sounds like this was fixed, so I'm closing the bug.  If the problem persists,
please reopen, but do attach the pdf file in question, thanks.



Note You need to log in before you can comment on or make changes to this bug.